Bug 36990 - NFS ACL NULL handling (3.2)
NFS ACL NULL handling (3.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Kernel
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-4-errata
Assigned To: Moritz Muehlenhoff
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-25 09:34 CET by Moritz Muehlenhoff
Modified: 2014-12-08 06:25 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2014-11-25 09:34:13 CET
In errata 134 for UCS 3.2 we updated the Linux kernel to 3.10.46. 

3.10.42 backported this upstream fix from 3.15:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=aa07c713ecfc0522916f3cd57ac628ea6127c0ec

This triggers a NULL dereference in kernels < 3.14 and requires the following fix:
https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/?id=5b6da64a7e447eadce0d3e201c0fd6f540f2ec93

(The patch isn't merged into 3.10.x yet, I'll contact Greg KH for that).

The kernel in UCS 4.0 is not affected; the affected code was removed in 3.14.

The (unsupported) kernel in UCS 3.1 isn't affected either; the regression was introduced in 3.2.60, which wasn't merged into UCS 3.1.
Comment 1 Moritz Muehlenhoff univentionstaff 2014-12-01 10:27:23 CET
This is fixed with the patch 52-nfs-acl-null-pointer-deref.patch.

YAML files:  2014-12-01-linux.yaml 2014-12-01-univention-kernel-image.yaml
Comment 2 Philipp Hahn univentionstaff 2014-12-02 16:26:29 CET
OK: see Bug #35397 comment 17
Comment 4 Moritz Muehlenhoff univentionstaff 2014-12-08 06:25:16 CET
(In reply to Moritz Muehlenhoff from comment #0)
> In errata 134 for UCS 3.2 we updated the Linux kernel to 3.10.46. 
> 
> 3.10.42 backported this upstream fix from 3.15:
> http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/
> ?id=aa07c713ecfc0522916f3cd57ac628ea6127c0ec
> 
> This triggers a NULL dereference in kernels < 3.14 and requires the
> following fix:
> https://git.kernel.org/cgit/linux/kernel/git/stable/linux-stable.git/commit/
> ?id=5b6da64a7e447eadce0d3e201c0fd6f540f2ec93
> 
> (The patch isn't merged into 3.10.x yet, I'll contact Greg KH for that).

The patch been merged into 3.10.62 (released yesterday).